export SEXTANT_CONF_VERSION=v1

set -x

zones(){
  DATA_PATH="$HOME/.local/share/eotl/core"
  ZONES_URL="https://codeberg.org/eotl/core"
  ZONES_PATH="$HOME/.local/share/eotl/core/data/json/zones"

  if [ ! -d "$DATA_PATH/.git" ]; then
    mkdir -p $DATA_PATH
    cd $DATA_PATH
    git init
    git remote add -f origin "$ZONES_URL"
    git sparse-checkout init
    git sparse-checkout set "data/json/zones"
    git pull --depth=1 origin main
  fi

  sextant zone create -f "${ZONES_PATH}/berlin.geojson" -n GEN >/dev/null 2>&1
  sextant zone create -f "${ZONES_PATH}/berlin-districts.geojson" -p 1 >/dev/null 2>&1
  sextant zone create -f "${ZONES_PATH}/berlin-district-kreuzberg.geojson" -p 9 >/dev/null 2>&1
  sextant zone create -f "${ZONES_PATH}/berlin-district-neukoelln.geojson" -p 3 >/dev/null 2>&1
}
